## freefilesync 11.18

=== FreeFileSync/Source/Makefile ===
exeName = FreeFileSync_$(shell arch)

cxxFlags = -std=c++2a -pipe -DWXINTL_NO_GETTEXT_MACRO -I../.. -I../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" \
           -Wall -Wfatal-errors -Wmissing-include-dirs -Wswitch-enum -Wcast-align -Wnon-virtual-dtor -Wno-unused-function -Wshadow -Wno-maybe-uninitialized \
           -O3 -DNDEBUG `wx-config --cxxflags --debug=no` -pthread

linkFlags = -s -no-pie `wx-config --libs std, aui, richtext --debug=no` -pthread


cxxFlags  += `pkg-config --cflags openssl`
linkFlags += `pkg-config --libs   openssl`

cxxFlags  += `pkg-config --cflags libcurl`
linkFlags += `pkg-config --libs   libcurl`

cxxFlags  += `pkg-config --cflags libssh2`
linkFlags += `pkg-config --libs   libssh2`

cxxFlags  += `pkg-config --cflags gtk+-2.0`
#treat as system headers so that warnings are hidden:
cxxFlags  += -isystem/usr/include/gtk-2.0

#support for SELinux (optional)
SELINUX_EXISTING=$(shell pkg-config --exists libselinux && echo YES)
ifeq ($(SELINUX_EXISTING),YES)
cxxFlags  += `pkg-config --cflags libselinux` -DHAVE_SELINUX
linkFlags += `pkg-config --libs libselinux`
endif

cppFiles=
cppFiles+=application.cpp
cppFiles+=base_tools.cpp
cppFiles+=config.cpp
cppFiles+=ffs_paths.cpp
cppFiles+=icon_buffer.cpp
cppFiles+=localization.cpp
cppFiles+=log_file.cpp
cppFiles+=status_handler.cpp
cppFiles+=base/algorithm.cpp
cppFiles+=base/binary.cpp
cppFiles+=base/comparison.cpp
cppFiles+=base/db_file.cpp
cppFiles+=base/dir_lock.cpp
cppFiles+=base/file_hierarchy.cpp
cppFiles+=base/icon_loader.cpp
cppFiles+=base/parallel_scan.cpp
cppFiles+=base/path_filter.cpp
cppFiles+=base/speed_test.cpp
cppFiles+=base/structures.cpp
cppFiles+=base/synchronization.cpp
cppFiles+=base/versioning.cpp
cppFiles+=afs/abstract.cpp
cppFiles+=afs/concrete.cpp
cppFiles+=afs/ftp.cpp
cppFiles+=afs/gdrive.cpp
cppFiles+=afs/init_curl_libssh2.cpp
cppFiles+=afs/native.cpp
cppFiles+=afs/sftp.cpp
cppFiles+=ui/batch_config.cpp
cppFiles+=ui/abstract_folder_picker.cpp
cppFiles+=ui/batch_status_handler.cpp
cppFiles+=ui/cfg_grid.cpp
cppFiles+=ui/command_box.cpp
cppFiles+=ui/folder_history_box.cpp
cppFiles+=ui/folder_selector.cpp
cppFiles+=ui/file_grid.cpp
cppFiles+=ui/file_view.cpp
cppFiles+=ui/log_panel.cpp
cppFiles+=ui/tree_grid.cpp
cppFiles+=ui/gui_generated.cpp
cppFiles+=ui/gui_status_handler.cpp
cppFiles+=ui/main_dlg.cpp
cppFiles+=ui/progress_indicator.cpp
cppFiles+=ui/search_grid.cpp
cppFiles+=ui/small_dlgs.cpp
cppFiles+=ui/sync_cfg.cpp
cppFiles+=ui/tray_icon.cpp
cppFiles+=ui/triple_splitter.cpp
cppFiles+=ui/version_check.cpp
cppFiles+=../../libcurl/curl_wrap.cpp
cppFiles+=../../zen/file_access.cpp
cppFiles+=../../zen/file_io.cpp
cppFiles+=../../zen/file_path.cpp
cppFiles+=../../zen/file_traverser.cpp
cppFiles+=../../zen/http.cpp
cppFiles+=../../zen/zstring.cpp
cppFiles+=../../zen/format_unit.cpp
cppFiles+=../../zen/legacy_compiler.cpp
cppFiles+=../../zen/open_ssl.cpp
cppFiles+=../../zen/process_priority.cpp
cppFiles+=../../zen/recycler.cpp
cppFiles+=../../zen/resolve_path.cpp
cppFiles+=../../zen/process_exec.cpp
cppFiles+=../../zen/shutdown.cpp
cppFiles+=../../zen/sys_error.cpp
cppFiles+=../../zen/sys_info.cpp
cppFiles+=../../zen/sys_version.cpp
cppFiles+=../../zen/thread.cpp
cppFiles+=../../zen/zlib_wrap.cpp
cppFiles+=../../wx+/file_drop.cpp
cppFiles+=../../wx+/grid.cpp
cppFiles+=../../wx+/image_tools.cpp
cppFiles+=../../wx+/graph.cpp
cppFiles+=../../wx+/taskbar.cpp
cppFiles+=../../wx+/tooltip.cpp
cppFiles+=../../wx+/image_resources.cpp
cppFiles+=../../wx+/popup_dlg.cpp
cppFiles+=../../wx+/popup_dlg_generated.cpp
cppFiles+=../../xBRZ/src/xbrz.cpp

tmpPath = $(shell dirname "$(shell mktemp -u)")/$(exeName)_Make

objFiles = $(cppFiles:%=$(tmpPath)/ffs/src/%.o)

all: ../Build/Bin/$(exeName)

../Build/Bin/$(exeName): $(objFiles)
	mkdir -p $(dir $@)
	g++ -o $@ $^ $(linkFlags)

$(tmpPath)/ffs/src/%.o : %
	mkdir -p $(dir $@)
	g++ $(cxxFlags) -c $< -o $@

clean:
	rm -rf $(tmpPath)
	rm -f ../Build/Bin/$(exeName)

=== FreeFileSync/Source/RealTimeSync/Makefile ===
exeName = RealTimeSync_$(shell arch)

cxxFlags = -std=c++2a -pipe -DWXINTL_NO_GETTEXT_MACRO -I../../.. -I../../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" \
           -Wall -Wfatal-errors -Wmissing-include-dirs -Wswitch-enum -Wcast-align -Wnon-virtual-dtor -Wno-unused-function -Wshadow -Wno-maybe-uninitialized \
           -O3 -DNDEBUG `wx-config --cxxflags --debug=no` -pthread

linkFlags = -s -no-pie `wx-config --libs std, aui, richtext --debug=no` -pthread

#Gtk - support "no button border"
cxxFlags  += `pkg-config --cflags gtk+-2.0`
#treat as system headers so that warnings are hidden:
cxxFlags  += -isystem/usr/include/gtk-2.0

cppFiles=
cppFiles+=application.cpp
cppFiles+=config.cpp
cppFiles+=gui_generated.cpp
cppFiles+=main_dlg.cpp
cppFiles+=tray_menu.cpp
cppFiles+=monitor.cpp
cppFiles+=folder_selector2.cpp
cppFiles+=../afs/abstract.cpp
cppFiles+=../base/icon_loader.cpp
cppFiles+=../ffs_paths.cpp
cppFiles+=../icon_buffer.cpp
cppFiles+=../localization.cpp
cppFiles+=../../../wx+/file_drop.cpp
cppFiles+=../../../wx+/image_tools.cpp
cppFiles+=../../../wx+/image_resources.cpp
cppFiles+=../../../wx+/popup_dlg.cpp
cppFiles+=../../../wx+/popup_dlg_generated.cpp
cppFiles+=../../../wx+/taskbar.cpp
cppFiles+=../../../xBRZ/src/xbrz.cpp
cppFiles+=../../../zen/dir_watcher.cpp
cppFiles+=../../../zen/file_access.cpp
cppFiles+=../../../zen/file_io.cpp
cppFiles+=../../../zen/file_path.cpp
cppFiles+=../../../zen/file_traverser.cpp
cppFiles+=../../../zen/format_unit.cpp
cppFiles+=../../../zen/legacy_compiler.cpp
cppFiles+=../../../zen/resolve_path.cpp
cppFiles+=../../../zen/process_exec.cpp
cppFiles+=../../../zen/shutdown.cpp
cppFiles+=../../../zen/sys_error.cpp
cppFiles+=../../../zen/sys_info.cpp
cppFiles+=../../../zen/sys_version.cpp
cppFiles+=../../../zen/thread.cpp
cppFiles+=../../../zen/zstring.cpp

tmpPath = $(shell dirname "$(shell mktemp -u)")/$(exeName)_Make

objFiles = $(cppFiles:%=$(tmpPath)/ffs/src/rts/%.o)

all: ../../Build/Bin/$(exeName)

../../Build/Bin/$(exeName): $(objFiles)
	mkdir -p $(dir $@)
	g++ -o $@ $^ $(linkFlags)

$(tmpPath)/ffs/src/rts/%.o : %
	mkdir -p $(dir $@)
	g++ $(cxxFlags) -c $< -o $@

clean:
	rm -rf $(tmpPath)
	rm -f ../../Build/Bin/$(exeName)

=== debian/changelog ===
freefilesync (11.18-1mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 24 Mar 2022 11:52:39 -0700

freefilesync (11.18-1+devuan) obs; urgency=medium

  * Upstream updates
    * Add comparison time to sync log when using GUI
    * Added user-configurable timeout for Google Drive
    * Consider port when comparing (S)FTP paths for equality
    * Fixed SFTP key file login error on OpenSSH_8.8p1
    * Add error details for NSFileReadUnknownError (macOS)
    * Disable new config button when already at default
    * Use user language instead of region locale during installation 
  * Bump required libcurl4-openssl-dev >= 7.82.0

 -- B. Stack <bgstack15@gmail.com>  Wed, 09 Mar 2022 09:38:41 -0500

freefilesync (11.17-1+devuan) obs; urgency=medium

  * Upstream updates
    * Show per-file progress in percent when copying large files
    * Log app initialization errors
    * Fixed uncaught exception after installation
    * Defer testing for third-party buggy DLLs until after crashing
    * Consider ReFS 128-bit file ID failure states (Windows)
    * Refer to volume by name: support names including brackets
    * Support local installation with non-standard home (Linux)

 -- B. Stack <bgstack15@gmail.com>  Sun, 06 Feb 2022 16:41:38 -0500

freefilesync (11.16-1+devuan) obs; urgency=medium

  * Upstream updates
    - Allow to select and remove invalid config file
    - Migrated all HTTPS requests to use libcurl (Linux, macOS)
    - Set keyboard focus on config panel after startup
    - Added computer name to log file trailer
    - Context menu instead of confirmation dialog for swap sides
    - Fixed config selection lost after auto-cleaning obsolete rows
    - Install app files with owner set to root (Linux)
    - Don't override keyboard shortcut "CTRL + W" (macOS)
    - Migrated key conversion routines deprecated in OpenSSL 3.0
    - Boxed app icon to fit OS theme (macOS)
    - Fixed manual retry after automatic update check error
    - Fixed missing ampersands in middle grid tooltip

 -- B. Stack <bgstack15@gmail.com>  Tue, 04 Jan 2022 10:52:55 -0500

freefilesync (11.15-1+devuan) obs; urgency=medium

  * Upstream updates
    - Play sound reminder when waiting for user confirmation
    - Enhanced crash diagnostics with known triggers
    - Defer reporting third-party incompatibilities until after crashing
    - Support running FreeFileSync from Dokany-based encrypted volumes
    - Fixed Server 2019 not being detected for log file
    - Use native representation for modified config (macOS)
    - Improved WinMerge detection for external app integration

 -- B. Stack <bgstack15@gmail.com>  Mon, 06 Dec 2021 08:39:50 -0500

=== debian/control ===
Source: freefilesync
Section: utils
Priority: optional
Maintainer: B. Stack <bgstack15@gmail.com>
Build-Depends: debhelper (>=12~),
               g++-10,
               imagemagick,
               libbrotli-dev,
               libcurl4-openssl-dev (>=7.82.0),
               libglibmm-2.4-dev,
               libgtk-3-dev,
               libssh2-1-dev,
               libssl-dev,
               libwxgtk3.0-gtk3-dev,
               unzip,
               wx3.0-headers
Standards-Version: 4.1.4
Homepage: https://freefilesync.org/

Package: freefilesync
Architecture: any
Multi-Arch: foreign
Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
Description: cross-platform file sync utility, gpl release
 FreeFileSync is a folder comparison and synchronization software that
 creates and manages backup copies of all your important files. Instead
 of copying every file every time, FreeFileSync determines the
 differences between a source and a target folder and transfers only the
 minimum amount of data needed. FreeFileSync is Open Source software,
 available for Windows, Linux and macOS.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export linkFlags="${LDFLAGS} -pie"

export appname=freefilesync
export pkgname=FreeFileSync
export prog2name=RealTimeSync
export debuilddir="debian"
export debuildappdir="${pkgname}"
export buildroot="${debuilddir}/${appname}"
export _datadir="/usr/share"
export _bindir="/usr/bin"

export TMPDIR=/tmp

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=FreeFileSync/Source
	dh_auto_clean --sourcedirectory=FreeFileSync/Source/RealTimeSync
	rm -f ${pkgname}.png ${prog2name}.png cfg_batch.png

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=FreeFileSync/Source
	dh_auto_build --sourcedirectory=FreeFileSync/Source/RealTimeSync

override_dh_auto_install:
	# removed by upstream!
	#dh_auto_install
	#dh_auto_install --sourcedirectory=FreeFileSync/Source
	#dh_auto_install --sourcedirectory=FreeFileSync/Source/RealTimeSync
	install -d ${buildroot}${_bindir} ${buildroot}${_datadir}/${appname}
	install -Dm 0755 -t ${buildroot}${_bindir} ${debuildappdir}/Build/Bin/${pkgname} ${debuildappdir}/Build/Bin/${prog2name}
	cp -pr ${debuildappdir}/Build/Resources/* ${buildroot}${_datadir}/${appname}

	# make extra sure the files are not marked with executable
	find ${debuildappdir}/share/${pkgname} -type f -exec chmod -x '{}' \; || :

	# desktop files
	# handled by dpkg already

	# application start script
	# none

	# man pages
	# none

	# mimetypes
	# handled by dpkg already

	# icons
	unzip ${pkgname}/Build/Resources/Icons.zip cfg_batch.png start_sync.png ${pkgname}.png ${prog2name}.png
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/16x16/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/32x32/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/48x48/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/64x64/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/128x128/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes
	# apps
	convert ${pkgname}.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/apps/${pkgname}.png
	convert ${pkgname}.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/apps/${pkgname}.png
	convert ${pkgname}.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/apps/${pkgname}.png
	convert ${pkgname}.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/apps/${pkgname}.png
	convert ${pkgname}.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/apps/${pkgname}.png
	convert ${prog2name}.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/apps/${prog2name}.png
	convert ${prog2name}.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/apps/${prog2name}.png
	convert ${prog2name}.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/apps/${prog2name}.png
	convert ${prog2name}.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/apps/${prog2name}.png
	convert ${prog2name}.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/apps/${prog2name}.png
	# mimetypes
	convert cfg_batch.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes/application-x-freefilesync-batch.png
	convert cfg_batch.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes/application-x-freefilesync-batch.png
	convert cfg_batch.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes/application-x-freefilesync-batch.png
	convert cfg_batch.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes/application-x-freefilesync-batch.png
	convert cfg_batch.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes/application-x-freefilesync-batch.png
	convert start_sync.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes/application-x-freefilesync-ffs.png
	convert start_sync.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes/application-x-freefilesync-ffs.png
	convert start_sync.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes/application-x-freefilesync-ffs.png
	convert start_sync.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes/application-x-freefilesync-ffs.png
	convert start_sync.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes/application-x-freefilesync-ffs.png
	convert ${prog2name}.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes/application-x-freefilesync-real.png
	convert ${prog2name}.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes/application-x-freefilesync-real.png
	convert ${prog2name}.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes/application-x-freefilesync-real.png
	convert ${prog2name}.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes/application-x-freefilesync-real.png
	convert ${prog2name}.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes/application-x-freefilesync-real.png

	rm -f cfg_batch.png start_sync.png

override_dh_fixperms:
	dh_fixperms || :
	chmod 0644 ${buildroot}${_datadir}/${appname}/* || :

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## freefilesync 12.0

=== Source/Makefile ===
CXX ?= g++
exeName = FreeFileSync_$(shell arch)

CXXFLAGS += -std=c++2b -pipe -DWXINTL_NO_GETTEXT_MACRO -I../.. -I../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" \
           -Wall -Wfatal-errors -Wmissing-include-dirs -Wswitch-enum -Wcast-align -Wnon-virtual-dtor -Wno-unused-function -Wshadow -Wno-maybe-uninitialized \
           -O3 -DNDEBUG `wx-config --cxxflags --debug=no` -pthread

LDFLAGS += -s -no-pie `wx-config --libs std, aui, richtext --debug=no` -pthread


CXXFLAGS  += `pkg-config --cflags openssl`
LDFLAGS += `pkg-config --libs   openssl`

CXXFLAGS  += `pkg-config --cflags libcurl`
LDFLAGS += `pkg-config --libs   libcurl`

CXXFLAGS  += `pkg-config --cflags libssh2`
LDFLAGS += `pkg-config --libs   libssh2`

CXXFLAGS  += `pkg-config --cflags gtk+-2.0`
#treat as system headers so that warnings are hidden:
CXXFLAGS  += -isystem/usr/include/gtk-2.0

#support for SELinux (optional)
SELINUX_EXISTING=$(shell pkg-config --exists libselinux && echo YES)
ifeq ($(SELINUX_EXISTING),YES)
CXXFLAGS  += `pkg-config --cflags libselinux` -DHAVE_SELINUX
LDFLAGS += `pkg-config --libs libselinux`
endif

cppFiles=
cppFiles+=application.cpp
cppFiles+=base_tools.cpp
cppFiles+=config.cpp
cppFiles+=ffs_paths.cpp
cppFiles+=icon_buffer.cpp
cppFiles+=localization.cpp
cppFiles+=log_file.cpp
cppFiles+=status_handler.cpp
cppFiles+=base/algorithm.cpp
cppFiles+=base/binary.cpp
cppFiles+=base/comparison.cpp
cppFiles+=base/db_file.cpp
cppFiles+=base/dir_lock.cpp
cppFiles+=base/file_hierarchy.cpp
cppFiles+=base/icon_loader.cpp
cppFiles+=base/parallel_scan.cpp
cppFiles+=base/path_filter.cpp
cppFiles+=base/speed_test.cpp
cppFiles+=base/structures.cpp
cppFiles+=base/synchronization.cpp
cppFiles+=base/versioning.cpp
cppFiles+=afs/abstract.cpp
cppFiles+=afs/concrete.cpp
cppFiles+=afs/ftp.cpp
cppFiles+=afs/gdrive.cpp
cppFiles+=afs/init_curl_libssh2.cpp
cppFiles+=afs/native.cpp
cppFiles+=afs/sftp.cpp
cppFiles+=ui/batch_config.cpp
cppFiles+=ui/abstract_folder_picker.cpp
cppFiles+=ui/batch_status_handler.cpp
cppFiles+=ui/cfg_grid.cpp
cppFiles+=ui/command_box.cpp
cppFiles+=ui/folder_history_box.cpp
cppFiles+=ui/folder_selector.cpp
cppFiles+=ui/file_grid.cpp
cppFiles+=ui/file_view.cpp
cppFiles+=ui/log_panel.cpp
cppFiles+=ui/tree_grid.cpp
cppFiles+=ui/gui_generated.cpp
cppFiles+=ui/gui_status_handler.cpp
cppFiles+=ui/main_dlg.cpp
cppFiles+=ui/progress_indicator.cpp
cppFiles+=ui/search_grid.cpp
cppFiles+=ui/small_dlgs.cpp
cppFiles+=ui/sync_cfg.cpp
cppFiles+=ui/tray_icon.cpp
cppFiles+=ui/triple_splitter.cpp
cppFiles+=ui/version_check.cpp
cppFiles+=../../libcurl/curl_wrap.cpp
cppFiles+=../../zen/argon2.cpp
cppFiles+=../../zen/file_access.cpp
cppFiles+=../../zen/file_io.cpp
cppFiles+=../../zen/file_path.cpp
cppFiles+=../../zen/file_traverser.cpp
cppFiles+=../../zen/http.cpp
cppFiles+=../../zen/zstring.cpp
cppFiles+=../../zen/format_unit.cpp
cppFiles+=../../zen/legacy_compiler.cpp
cppFiles+=../../zen/open_ssl.cpp
cppFiles+=../../zen/process_priority.cpp
cppFiles+=../../zen/recycler.cpp
cppFiles+=../../zen/resolve_path.cpp
cppFiles+=../../zen/process_exec.cpp
cppFiles+=../../zen/shutdown.cpp
cppFiles+=../../zen/sys_error.cpp
cppFiles+=../../zen/sys_info.cpp
cppFiles+=../../zen/sys_version.cpp
cppFiles+=../../zen/thread.cpp
cppFiles+=../../zen/zlib_wrap.cpp
cppFiles+=../../wx+/file_drop.cpp
cppFiles+=../../wx+/grid.cpp
cppFiles+=../../wx+/image_tools.cpp
cppFiles+=../../wx+/graph.cpp
cppFiles+=../../wx+/taskbar.cpp
cppFiles+=../../wx+/tooltip.cpp
cppFiles+=../../wx+/image_resources.cpp
cppFiles+=../../wx+/popup_dlg.cpp
cppFiles+=../../wx+/popup_dlg_generated.cpp
cppFiles+=../../xBRZ/src/xbrz.cpp

tmpPath = $(shell dirname "$(shell mktemp -u)")/$(exeName)_Make

objFiles = $(cppFiles:%=$(tmpPath)/ffs/src/%.o)

all: ../Build/Bin/$(exeName)

../Build/Bin/$(exeName): $(objFiles)
	mkdir -p $(dir $@)
	$(CXX) -o $@ $^ $(LDFLAGS)

$(tmpPath)/ffs/src/%.o : %
	mkdir -p $(dir $@)
	$(CXX) $(CXXFLAGS) -c $< -o $@

clean:
	rm -rf $(tmpPath)
	rm -f ../Build/Bin/$(exeName)

=== Source/RealTimeSync/Makefile ===
CXX ?= g++
exeName = RealTimeSync_$(shell arch)

CXXFLAGS += -std=c++2b -pipe -DWXINTL_NO_GETTEXT_MACRO -I../../.. -I../../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" \
           -Wall -Wfatal-errors -Wmissing-include-dirs -Wswitch-enum -Wcast-align -Wnon-virtual-dtor -Wno-unused-function -Wshadow -Wno-maybe-uninitialized \
           -O3 -DNDEBUG `wx-config --cxxflags --debug=no` -pthread

LDFLAGS += -s -no-pie `wx-config --libs std, aui, richtext --debug=no` -pthread

#Gtk - support "no button border"
CXXFLAGS  += `pkg-config --cflags gtk+-2.0`
#treat as system headers so that warnings are hidden:
CXXFLAGS  += -isystem/usr/include/gtk-2.0

cppFiles=
cppFiles+=application.cpp
cppFiles+=config.cpp
cppFiles+=gui_generated.cpp
cppFiles+=main_dlg.cpp
cppFiles+=tray_menu.cpp
cppFiles+=monitor.cpp
cppFiles+=folder_selector2.cpp
cppFiles+=../afs/abstract.cpp
cppFiles+=../base/icon_loader.cpp
cppFiles+=../ffs_paths.cpp
cppFiles+=../icon_buffer.cpp
cppFiles+=../localization.cpp
cppFiles+=../../../wx+/file_drop.cpp
cppFiles+=../../../wx+/image_tools.cpp
cppFiles+=../../../wx+/image_resources.cpp
cppFiles+=../../../wx+/popup_dlg.cpp
cppFiles+=../../../wx+/popup_dlg_generated.cpp
cppFiles+=../../../wx+/taskbar.cpp
cppFiles+=../../../xBRZ/src/xbrz.cpp
cppFiles+=../../../zen/dir_watcher.cpp
cppFiles+=../../../zen/file_access.cpp
cppFiles+=../../../zen/file_io.cpp
cppFiles+=../../../zen/file_path.cpp
cppFiles+=../../../zen/file_traverser.cpp
cppFiles+=../../../zen/format_unit.cpp
cppFiles+=../../../zen/legacy_compiler.cpp
cppFiles+=../../../zen/resolve_path.cpp
cppFiles+=../../../zen/process_exec.cpp
cppFiles+=../../../zen/shutdown.cpp
cppFiles+=../../../zen/sys_error.cpp
cppFiles+=../../../zen/sys_info.cpp
cppFiles+=../../../zen/sys_version.cpp
cppFiles+=../../../zen/thread.cpp
cppFiles+=../../../zen/zstring.cpp

tmpPath = $(shell dirname "$(shell mktemp -u)")/$(exeName)_Make

objFiles = $(cppFiles:%=$(tmpPath)/ffs/src/rts/%.o)

all: ../../Build/Bin/$(exeName)

../../Build/Bin/$(exeName): $(objFiles)
	mkdir -p $(dir $@)
	$(CXX) -o $@ $^ $(LDFLAGS)

$(tmpPath)/ffs/src/rts/%.o : %
	mkdir -p $(dir $@)
	$(CXX) $(CXXFLAGS) -c $< -o $@

clean:
	rm -rf $(tmpPath)
	rm -f ../../Build/Bin/$(exeName)

=== debian/changelog ===
freefilesync (12.0-2) unstable; urgency=medium

  * d/control: restore kfreebsd-* archs
  * fix build error on sh4 architecture

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 20 Feb 2023 11:13:54 +0100

freefilesync (12.0-1) unstable; urgency=medium

  [ Fab Stz ]
  * d/patches: remove ffs_allow_parallel_ops.patch

  [ Jhonny Oliveira ]
  * d/rules: Remove no longer necessary fixperms
  * d/freefilesync.install: Install all files inside bin, instead of one by
    one hardcoded

  [ Fab Stz ]
  * New upstream version 12.0
  * refresh patches for 12.0

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 30 Jan 2023 20:44:05 +0100

freefilesync (11.29-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2 (no change needed)
  * d/control: restore ppc64el Architecture

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 20 Dec 2022 22:53:11 +0100

freefilesync (11.29-1) unstable; urgency=medium

  * New upstream release
  * refresh patches
  * d/rules: extract icons with 'unzip -u'
  * d/copyright: fix typo in License field label
  * fix build error on mipsel architecture
  * remove big-endian architectures
  * remove armel architecture
  * remove uncommon architectures that are not built by buildd

 -- Fab Stz <fabstz-it@yahoo.fr>  Fri, 16 Dec 2022 23:17:58 +0100

freefilesync (11.26-1) unstable; urgency=medium

  * Initial release. (Closes: #925512)

 -- Fab Stz <fabstz-it@yahoo.fr>  Fri, 07 Oct 2022 10:08:29 +0200

=== debian/control ===
Source: freefilesync
Section: utils
Priority: optional
Maintainer: Fab Stz <fabstz-it@yahoo.fr>
Build-Depends: debhelper-compat (= 13),
               g++:native (>= 4:12),
               imagemagick,
               libcurl4-openssl-dev (>= 7.84),
               libglibmm-2.4-dev,
               libgtk-3-dev,
               libssh2-1-dev (>= 1.10),
               libssl-dev (>= 3.0~),
               libwxgtk3.2-dev,
               unzip,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://freefilesync.org/
Vcs-Browser: https://salsa.debian.org/bastif/freefilesync
Vcs-Git: https://salsa.debian.org/bastif/freefilesync.git

Package: freefilesync
Architecture: alpha amd64 arc arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel ppc64el riscv64 sh4 x32
Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
Description: Cross-platform file sync utility (GPL release)
 FreeFileSync is a folder comparison and synchronization software that
 creates and manages backup copies of all your important files. Instead
 of copying every file every time, FreeFileSync determines the
 differences between a source and a target folder and transfers only the
 minimum amount of data needed. FreeFileSync is Open Source software,
 available for Windows, Linux and macOS.
 .
 This is the "GPL release" which uses the sources as published by the author,
 as opposed to the "FreeFileSync Donation Edition".

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

# Produce .debug_info (used by dh_dwz)
CXXFLAGS += -g

# Enable PIE
#CXXFLAGS += -fpie
#LDFLAGS += -pie

# define APP_NAME_SUFFIX
DPKG_VENDOR = $(shell dpkg-vendor --query vendor)
CPPFLAGS += -DAPP_NAME_SUFFIX='L" for ${DPKG_VENDOR}"'

# Fix build error on mipsel
ifeq ($(DEB_HOST_ARCH),mipsel)
LDFLAGS += -latomic
endif

# Fix build error on sh4
ifeq ($(DEB_HOST_ARCH),sh4)
LDFLAGS += -latomic
endif

%:
	dh $@ --sourcedirectory=FreeFileSync/Source

execute_after_dh_auto_clean:
	# Now, auto_clean RealTimeSync
	dh_auto_clean --sourcedirectory=FreeFileSync/Source/RealTimeSync

execute_after_dh_auto_build:
	# Now, auto_build RealTimeSync
	dh_auto_build --sourcedirectory=FreeFileSync/Source/RealTimeSync

override_dh_auto_install:
	# desktop files
	# handled by dh_install through debian/freefilesync.install

	# mimetypes
	# handled by dh_installmime through debian/freefilesync.sharedmimeinfo

	# icons
	unzip -u FreeFileSync/Build/Resources/Icons.zip cfg_batch.png database.png start_sync.png FreeFileSync.png RealTimeSync.png
	for size in 16 24 32 48 64 128 256; do \
	  mkdir -p debian/freefilesync/usr/share/icons/hicolor/$${size}x$${size}/apps ; \
	  convert FreeFileSync.png -filter Lanczos -resize $${size}x$${size} debian/freefilesync/usr/share/icons/hicolor/$${size}x$${size}/apps/FreeFileSync.png ; \
	  convert RealTimeSync.png -filter Lanczos -resize $${size}x$${size} debian/freefilesync/usr/share/icons/hicolor/$${size}x$${size}/apps/RealTimeSync.png ; \
	  mkdir -p debian/freefilesync/usr/share/icons/hicolor/$${size}x$${size}/mimetypes ; \
	  convert cfg_batch.png -filter Lanczos -resize $${size}x$${size} debian/freefilesync/usr/share/icons/hicolor/$${size}x$${size}/mimetypes/application-x-freefilesync-batch.png ; \
	  convert database.png -filter Lanczos -resize $${size}x$${size} debian/freefilesync/usr/share/icons/hicolor/$${size}x$${size}/mimetypes/application-x-freefilesync-db.png ; \
	  convert start_sync.png -filter Lanczos -resize $${size}x$${size} debian/freefilesync/usr/share/icons/hicolor/$${size}x$${size}/mimetypes/application-x-freefilesync-gui.png ; \
	  convert RealTimeSync.png -filter Lanczos -resize $${size}x$${size} debian/freefilesync/usr/share/icons/hicolor/$${size}x$${size}/mimetypes/application-x-freefilesync-real.png ; \
	done

## freefilesync 12.5

=== debian/changelog ===
freefilesync (12.5-1) unstable; urgency=medium

  * d/rules: fix typo in comment
  * New upstream version 12.5
  * d/copyright: bump year
  * refresh patches for 12.5

 -- Fab Stz <fabstz-it@yahoo.fr>  Thu, 03 Aug 2023 22:13:36 +0200

freefilesync (12.4-2~exp1) experimental; urgency=medium

  [ Fab Stz ]
  * fix build error on armhf architecture

 -- Scott Talbert <swt@techie.net>  Tue, 27 Jun 2023 16:26:58 -0400

freefilesync (12.4-1) unstable; urgency=medium

  [ Jhonny Oliveira ]
  * New upstream version 12.1
  * d/patches/ffs_devuan.patch Refresh patch

  [ Fab Stz ]
  * d/control: update Description to mention it's a GUI
  * d/patches: revert buggy gtk3 change in 12.1

  [ Jhonny Oliveira ]
  * New upstream version 12.2
  * d/patches/*.patch Refresh all patches
  * New upstream version 12.3
  * d/patches/*.patch Refresh all patches
  * New upstream version 12.4
  * d/patches/*.patch Refresh all patches
  * d/patches/ffs_libssh2.patch Comment status codes not yet implemented in
    libssh2 v1.10.0

  [ Fab Stz ]
  * really add patch to loosen dependency on libssh2 version

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 20 Jun 2023 22:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Package: freefilesync
 Architecture: alpha amd64 arc arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel ppc64el riscv64 sh4 x32
 Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
-Description: Cross-platform file sync utility (GPL release)
+Description: Cross-platform file sync utility with GUI (GPL release)
  FreeFileSync is a folder comparison and synchronization software that
  creates and manages backup copies of all your important files. Instead
  of copying every file every time, FreeFileSync determines the

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 
 include /usr/share/dpkg/architecture.mk
 
+include /usr/share/dpkg/buildtools.mk
+
 # Produce .debug_info (used by dh_dwz)
 CXXFLAGS += -g
 
@@ -21,13 +23,11 @@
 DPKG_VENDOR = $(shell dpkg-vendor --query vendor)
 CPPFLAGS += -DAPP_NAME_SUFFIX='L" for ${DPKG_VENDOR}"'
 
-# Fix build error on mipsel
-ifeq ($(DEB_HOST_ARCH),mipsel)
-LDFLAGS += -latomic
-endif
-
-# Fix build error on sh4
-ifeq ($(DEB_HOST_ARCH),sh4)
+# Check if we need to link to libatomic
+# Used to be required on mipsel, sh4, armhf/raspbian
+IS_ATOMIC_LINKING_REQUIRED = $(shell $(CXX) -std=c++2b -o /dev/null debian/material/libatomic_check.cpp > /dev/null 2>&1 || echo "yes")
+ifeq ($(IS_ATOMIC_LINKING_REQUIRED),yes)
+$(warning linking to libatomic is required)
 LDFLAGS += -latomic
 endif

## freefilesync 13.3

=== Source/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CXX ?= g++
 exeName = FreeFileSync_$(shell arch)
 
-CXXFLAGS += -std=c++2b -pipe -DWXINTL_NO_GETTEXT_MACRO -I../.. -I../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" \
+CXXFLAGS += -std=c++23 -pipe -DWXINTL_NO_GETTEXT_MACRO -I../.. -I../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" \
            -Wall -Wfatal-errors -Wmissing-include-dirs -Wswitch-enum -Wcast-align -Wnon-virtual-dtor -Wno-unused-function -Wshadow -Wno-maybe-uninitialized \
            -O3 -DNDEBUG `wx-config --cxxflags --debug=no` -pthread
 
@@ -44,6 +44,7 @@
 cppFiles+=base/dir_lock.cpp
 cppFiles+=base/file_hierarchy.cpp
 cppFiles+=base/icon_loader.cpp
+cppFiles+=base/multi_rename.cpp
 cppFiles+=base/parallel_scan.cpp
 cppFiles+=base/path_filter.cpp
 cppFiles+=base/speed_test.cpp
@@ -72,6 +73,7 @@
 cppFiles+=ui/gui_status_handler.cpp
 cppFiles+=ui/main_dlg.cpp
 cppFiles+=ui/progress_indicator.cpp
+cppFiles+=ui/rename_dlg.cpp
 cppFiles+=ui/search_grid.cpp
 cppFiles+=ui/small_dlgs.cpp
 cppFiles+=ui/sync_cfg.cpp

=== debian/changelog ===
freefilesync (13.3-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 20 Jan 2024 21:22:26 -0800

freefilesync (13.3-1) unstable; urgency=medium

  [ Fab Stz ]
  * New upstream version 13.0
  * refresh patches

  [ Jhonny Oliveira ]
  * New upstream version 13.1
  * d/patches/Disable_..._handling.patch Add patch to deal with build error
  * d/patches/*.patch Refresh all patches

  [ Fab Stz ]
  * New upstream version 13.2
  * d/patches: disable ffs_traditional_view.patch
  * refresh patches
  * Revert "d/patches: disable ffs_traditional_view.patch"
  * refresh d/patches/ffs_traditional_view.patch using bgstacks'

  [ wuruilong ]
  * d/control: add support for loong64 arch (Closes: #1059080)

  [ Fab Stz ]
  * New upstream version 13.3
  * refresh patches

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 09 Jan 2024 18:36:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: freefilesync
 Section: utils
 Priority: optional
-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
 Build-Depends: debhelper-compat (= 13),
                g++:native (>= 4:12),
                imagemagick,
@@ -11,7 +12,7 @@
                libssh2-1-dev (>= 1.10),
                libssl-dev (>= 3.0~),
                libwxgtk3.2-dev,
-               unzip,
+               unzip
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://freefilesync.org/
@@ -19,7 +20,7 @@
 Vcs-Git: https://salsa.debian.org/bastif/freefilesync.git
 
 Package: freefilesync
-Architecture: alpha amd64 arc arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel ppc64el riscv64 sh4 x32
+Architecture: alpha amd64 arc arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 mips64el mipsel ppc64el riscv64 sh4 x32
 Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
 Description: Cross-platform file sync utility with GUI (GPL release)
  FreeFileSync is a folder comparison and synchronization software that

=== debian/rules ===
--- 
+++ 
@@ -61,3 +61,7 @@
 	  convert start_sync.png -filter Lanczos -resize $${size}x$${size} debian/freefilesync/usr/share/icons/hicolor/$${size}x$${size}/mimetypes/application-x-freefilesync-gui.png ; \
 	  convert RealTimeSync.png -filter Lanczos -resize $${size}x$${size} debian/freefilesync/usr/share/icons/hicolor/$${size}x$${size}/mimetypes/application-x-freefilesync-real.png ; \
 	done
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## freefilesync 13.7

=== Source/RealTimeSync/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CXX ?= g++
 exeName = RealTimeSync_$(shell arch)
 
-CXXFLAGS += -std=c++2b -pipe -DWXINTL_NO_GETTEXT_MACRO -I../../.. -I../../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" \
+CXXFLAGS += -std=c++23 -pipe -DWXINTL_NO_GETTEXT_MACRO -I../../.. -I../../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" \
            -Wall -Wfatal-errors -Wmissing-include-dirs -Wswitch-enum -Wcast-align -Wnon-virtual-dtor -Wno-unused-function -Wshadow -Wno-maybe-uninitialized \
            -O3 -DNDEBUG `wx-config --cxxflags --debug=no` -pthread

=== debian/changelog ===
freefilesync (13.7-2) unstable; urgency=medium

  * add patch to support curl 8.16. Closes: #1114108

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 09 Sep 2025 07:33:37 +0200

freefilesync (13.7-1) unstable; urgency=medium

  [ Fab Stz ]
  * update header of d/p/pkg-config.patch
  * d/control: remove arc from the list or architectures

  [ Jhonny Oliveira ]
  * New upstream version 13.4
  * d/patches/*.patch Remove fix-gtk3... and refresh all patches

  [ Fab Stz ]
  * New upstream version 13.5
  * New upstream version 13.6
  * refresh patches
  * drop ffs_traditional_view.patch
  * d/control: bump Standards-Version to 4.7.0 (no change required)
  * d/p/libcurl_improve_supported_error_codes.patch: support curl 8.8.0
    (Closes: #1072759)
  * New upstream version 13.7
  * refresh patches

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 26 Jun 2024 20:13:28 +0200

freefilesync (13.3-2) unstable; urgency=medium

  * add d/README.source to mention backporting
  * fix FTBFS when using libcurl 8.6.0
  * update patch headers to improve DEP-3 conformity and silence the warnings
    reported by https://udd.debian.org/patches.cgi
  * d/rules: mention that libatomic is also required on focal
  * remove ffs_desktop_notifications.patch which wasn't in use anyway
  * update 'Forwarded' field value in ffs_traditional_view.patch header
  * add patch to deactivate Google Drive button (+ related README.Debian)
  * rework the patch that skips Animal.dat and fix About dialog inconsistencies
  * d/control: add pkgconf to the build deps
  * d/control: remove build dep to libglibmm-2.4-dev
  * d/control: add zlib1g-dev to build-deps and update patches
  * d/control: add build-dep to libselinux1-dev
  * rename d/freefilesync.\(*\) to d/\1
  * add patch to remove upstream's build optimization -O3
  * d/README.Debian: mention a bug on backports in certain circumstances
  * put icons to debian/tmp in override_dh_auto_install
  * rework patch that fixes hang in KDE+Gtk3 and fix dialog size
  * d/control: remove g++:native from dependencies
  * d/rules: build with value of CXX variable used in d/rules
  * d/README.source explain how to build with a set version of g++

 -- Fab Stz <fabstz-it@yahoo.fr>  Sat, 10 Feb 2024 18:20:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: freefilesync
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
+Maintainer: Fab Stz <fabstz-it@yahoo.fr>
 Build-Depends: debhelper-compat (= 13),
-               g++:native (>= 4:12),
                imagemagick,
                libcurl4-openssl-dev (>= 7.84),
-               libglibmm-2.4-dev,
                libgtk-3-dev,
+               libselinux1-dev,
                libssh2-1-dev (>= 1.10),
                libssl-dev (>= 3.0~),
                libwxgtk3.2-dev,
-               unzip
-Standards-Version: 4.6.2
+               pkgconf,
+               unzip,
+               zlib1g-dev,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://freefilesync.org/
 Vcs-Browser: https://salsa.debian.org/bastif/freefilesync
 Vcs-Git: https://salsa.debian.org/bastif/freefilesync.git
 
 Package: freefilesync
-Architecture: alpha amd64 arc arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 mips64el mipsel ppc64el riscv64 sh4 x32
+Architecture: alpha amd64 arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 mips64el mipsel ppc64el riscv64 sh4 x32
 Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
 Description: Cross-platform file sync utility with GUI (GPL release)
  FreeFileSync is a folder comparison and synchronization software that

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

include /usr/share/dpkg/buildtools.mk

# Produce .debug_info (used by dh_dwz)
CXXFLAGS += -g

# Enable PIE
#CXXFLAGS += -fpie
#LDFLAGS += -pie

# define APP_NAME_SUFFIX
DPKG_VENDOR = $(shell dpkg-vendor --query vendor)
CPPFLAGS += -DAPP_NAME_SUFFIX='L" for ${DPKG_VENDOR}"'

# It is sometimes required to build with a specific version of g++ because
# upstream sometimes used features that are available only in recent versions.
# This is therefore also required to build backports
# CXX := $(CXX)-12

# Check if we need to link to libatomic
# Used to be required on mipsel, sh4, armhf/raspbian
# but also on Ubuntu 20.04 (focal)
IS_ATOMIC_LINKING_REQUIRED = $(shell $(CXX) -std=c++2b -o /dev/null debian/material/libatomic_check.cpp > /dev/null 2>&1 || echo "yes")
ifeq ($(IS_ATOMIC_LINKING_REQUIRED),yes)
$(warning linking to libatomic is required)
LDFLAGS += -latomic
endif

%:
	dh $@ --sourcedirectory=FreeFileSync/Source

execute_after_dh_auto_clean:
	# Now, auto_clean RealTimeSync
	dh_auto_clean --sourcedirectory=FreeFileSync/Source/RealTimeSync

override_dh_auto_build:
	dh_auto_build --sourcedirectory=FreeFileSync/Source -- CXX=$(CXX)

execute_after_dh_auto_build:
	# Now, auto_build RealTimeSync
	dh_auto_build --sourcedirectory=FreeFileSync/Source/RealTimeSync -- CXX=$(CXX)

override_dh_auto_install:
	# desktop files
	# handled by dh_install through debian/install

	# mimetypes
	# handled by dh_installmime through debian/sharedmimeinfo

	# icons
	unzip -u FreeFileSync/Build/Resources/Icons.zip cfg_batch.png database.png start_sync.png FreeFileSync.png RealTimeSync.png
	for size in 16 24 32 48 64 128 256; do \
	  mkdir -p debian/tmp/usr/share/icons/hicolor/$${size}x$${size}/apps ; \
	  convert FreeFileSync.png -filter Lanczos -resize $${size}x$${size} debian/tmp/usr/share/icons/hicolor/$${size}x$${size}/apps/FreeFileSync.png ; \
	  convert RealTimeSync.png -filter Lanczos -resize $${size}x$${size} debian/tmp/usr/share/icons/hicolor/$${size}x$${size}/apps/RealTimeSync.png ; \
	  mkdir -p debian/tmp/usr/share/icons/hicolor/$${size}x$${size}/mimetypes ; \
	  convert cfg_batch.png -filter Lanczos -resize $${size}x$${size} debian/tmp/usr/share/icons/hicolor/$${size}x$${size}/mimetypes/application-x-freefilesync-batch.png ; \
	  convert database.png -filter Lanczos -resize $${size}x$${size} debian/tmp/usr/share/icons/hicolor/$${size}x$${size}/mimetypes/application-x-freefilesync-db.png ; \
	  convert start_sync.png -filter Lanczos -resize $${size}x$${size} debian/tmp/usr/share/icons/hicolor/$${size}x$${size}/mimetypes/application-x-freefilesync-gui.png ; \
	  convert RealTimeSync.png -filter Lanczos -resize $${size}x$${size} debian/tmp/usr/share/icons/hicolor/$${size}x$${size}/mimetypes/application-x-freefilesync-real.png ; \
	done

=== debian/watch ===
version=4
https://freefilesync.org/download.php (?:.*/)?FreeFileSync_([\d\.]+)_(?:s|S)ource@ARCHIVE_EXT@

## freefilesync 13.9

=== debian/changelog ===
freefilesync (13.9-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 Dec 2024 19:55:19 -0800

freefilesync (13.9-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Mon, 09 Dec 2024 09:25:00 +0100

freefilesync (13.8-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 30 Nov 2024 16:18:07 +0100

freefilesync (13.7-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 25 Jun 2024 12:21:57 +0200

freefilesync (13.6-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Wed, 15 May 2024 20:33:52 +0200

freefilesync (13.4-1xtradeb1) mantic; urgency=medium

  [ Fab Stz ]
  * update header of d/p/pkg-config.patch
  * d/control: remove arc from the list or architectures

  [ Jhonny Oliveira ]
  * New upstream version 13.4
  * d/patches/*.patch Disable fix-gtk3... and refresh all patches

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 17 Feb 2024 15:55:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: freefilesync
-Section: utils
+Section: non-free/utils
 Priority: optional
-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Jhonny Oliveira <jhonny.oliveira@gmail.com>
+Debian's-Original-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
 Build-Depends: debhelper-compat (= 13),
                imagemagick,
                libcurl4-openssl-dev (>= 7.84),
@@ -12,12 +14,13 @@
                libwxgtk3.2-dev,
                pkgconf,
                unzip,
-               zlib1g-dev,
+               zlib1g-dev
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://freefilesync.org/
 Vcs-Browser: https://salsa.debian.org/bastif/freefilesync
 Vcs-Git: https://salsa.debian.org/bastif/freefilesync.git
+XS-Autobuild: yes
 
 Package: freefilesync
 Architecture: alpha amd64 arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 mips64el mipsel ppc64el riscv64 sh4 x32

=== debian/rules ===
--- 
+++ 
@@ -70,3 +70,8 @@
 	  convert start_sync.png -filter Lanczos -resize $${size}x$${size} debian/tmp/usr/share/icons/hicolor/$${size}x$${size}/mimetypes/application-x-freefilesync-gui.png ; \
 	  convert RealTimeSync.png -filter Lanczos -resize $${size}x$${size} debian/tmp/usr/share/icons/hicolor/$${size}x$${size}/mimetypes/application-x-freefilesync-real.png ; \
 	done
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
